stages:
  - build
  - trigger

build:
  tags:
    - shared
    - linux
  stage: build
  only: 
    - master
  interruptible: true

  image: docker:latest

  services:
    - docker:dind
  variables:
    DOCKER_HOST: tcp://docker:2375
    DOCKER_DRIVER: overlay2
    CONTAINER_SLUG_DTAG: $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG
    CONTAINER_LATEST_DTAG: $CI_REGISTRY_IMAGE:latest

  before_script:
    - chmod +x ./*.sh
    - echo $CI_JOB_TOKEN | docker login -u gitlab-ci-token --password-stdin $CI_REGISTRY

  script:
    - docker build --pull -t $CONTAINER_SLUG_DTAG .
    - docker tag $CONTAINER_SLUG_DTAG $CONTAINER_LATEST_DTAG
    - docker push $CONTAINER_SLUG_DTAG
    - docker push $CONTAINER_LATEST_DTAG

update_cpp_build_tools_docker_image:
  only:
    - master
  stage: trigger
  allow_failure: true
  trigger:
    project: KOLANICH-subgroups/docker-images/cpp_build_tools
